Bug 99415 - DDL generator sometime produces incorrect primary key
Summary: DDL generator sometime produces incorrect primary key
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Rafael H. Schloming
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-18 20:33 UTC by Dennis Gregorovic
Modified: 2014-12-01 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-01 21:45:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Gregorovic 2003-07-18 20:33:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030623

Description of problem:
The DDL generator sometime produces an incorrect primary key.  I think this
specific bug is limited to certain mapping tables.  The one specific example I
have is the cat_root_cat_object_map table which has a primary key of (object_id,
category_id), but it should just be (object_id)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.ant build
2. examine table-cat_root_cat_object_map-auto.sql
3.
    

Actual Results:   primary key(object_id,category_id)

Expected Results:   primary key(object_id)

Additional info:

Comment 1 David Lawrence 2006-07-18 03:52:34 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.


Note You need to log in before you can comment on or make changes to this bug.